
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public class TreeHandler
    {
        IFWTrees controller;
        public TreeHandler(IFWTrees controller)
        {
            this.controller = controller;
        }
        public TreeItemHandler TreeItemHandler { get; } = new TreeItemHandler(FlaUIHandler.Instance);
        public TreeHandler Find(string treeValue, int repeatingTime = 0)
        {
            controller.TreeFindBy(treeValue, repeatingTime);
            return new TreeHandler(controller);
        }
        public ScrollBarsHandler ScrollBarsHandler
        {
           get
            {
                return new ScrollBarsHandler(FlaUIHandler.Instance);
            }
        }
        public TreeHandler Click(string value, int id, int repeatingTime = 0)
        {
            controller.TreeClickBy(value, id, repeatingTime);
            return new TreeHandler(controller);
        }

    }
}
